### Struct

# EBookContacts ContactDate

#### Description

    struct EContactDate {
      guint year;
      guint month;
      guint day;
    }

No description available.

###### Structure members

`year:` `guint`

  No description available.

`month:` `guint`

  No description available.

`day:` `guint`

  No description available.

#### Constructors

###### e_contact_date_new

Creates a new `EContactDate` struct.

#### Functions

###### e_contact_date_from_string

Creates a new `EContactDate` based on `str`.

#### Instance methods

###### e_contact_date_equal

Checks if `dt1` and `dt2` are the same date.

###### e_contact_date_free

Frees the `date` struct and its contents.

###### e_contact_date_to_string

Generates a date string in the format YYYY-MM-DD based on the values of `dt`.